/*
 *		config.h - defines compile time options.
 */
/* 90.12.20	Created by S.Yoshida */

/*----------------------------------------------------------------------*/
/*	Features removeable to save space.				*/
/*----------------------------------------------------------------------*/

#undef	NO_BACKUP	/* Disable backup files when writing. */

#undef	NO_DIR		/* Disable dir change functions.	*/
			/* If defined, NO_STARTUP must be also. */

#undef	NO_DIRED	/* Disable "dired" mode.		 */
			/* If not defined, ADDFUNC must be also. */

#undef	NO_DPROMPT	/* Disable delayed prompt on multi-key sequences. */

#undef	NO_FILECOMP	/* Disable file name completion. */

#undef	NO_HELP		/* Disable help, descibe-bindings, */
			/* describe-key-briefly, apropos   */

#undef	NO_MACRO	/* Disable keyboard macros.		*/
			/* If defined, NO_STARTUP must be also. */

#undef	NO_SHELL	/* Disable shell-command function. */

#undef	NO_STARTUP	/* Disable startup files, load, etc. */

#define	DO_METAKEY	/* Enable META key input. */

#define	REGEX		/* Enable regular expression functions. */

#define	PREFIXREGION	/* Enable function "prefix-region". */

#define	C_MODE		/* Enable c-mode functions. */

#define	FILLPREFIX	/* Enable fill prefix function. */

#define	READONLY	/* Enable read-only buffer mode. */

#define	NEW_COMPLETE	/* Enable new version completion.    */
			/* If defined, ADDFUNC must be also. */

/*----------------------------------------------------------------------*/
/*	Features for Ng (KANJI version Mg2a).				*/
/*----------------------------------------------------------------------*/

#define	KANJI		/* Create KANJI handling version. */

#define	KINSOKU		/* Create KINSOKU handling version. If defined, */
			/* KANJI must be also.				*/

#define	BUGFIX		/* Fix bugs in the original Mg2a. */

#define	ADDFUNC		/* Create additional misc functions. */

/*----------------------------------------------------------------------*/
/*	MS-DOS machine dependent features.				*/
/*----------------------------------------------------------------------*/
/*................................................*/
#ifdef	MSDOS		/* Do not edit this line. */
/*................................................*/

#undef	J3100		/* Create Ng for Toshiba J-3100 series. */

#undef	PC9801		/* Create Ng for NEC PC-9801 series. */

#define FEPCTRL		/* Enable FEP auto control. */

/*................................................*/
#endif			/* Do not edit this line. */
/*................................................*/

/*----------------------------------------------------------------------*/
/*	Human68k machine dependent features.				*/
/*----------------------------------------------------------------------*/
/*................................................*/
#ifdef	HUMAN68K	/* Do not edit this line. */
/*................................................*/

#define FEPCTRL		/* Enable FEP auto control. */

/*................................................*/
#endif			/* Do not edit this line. */
/*................................................*/

/************************************************************************/
/*	Do not edit following lines.					*/
/************************************************************************/

#ifdef	NO_DIR
#   ifndef  NO_STARTUP
#	define	NO_STARTUP
#   endif
#endif

#ifdef	NO_MACRO
#   ifndef  NO_STARTUP
#	define	NO_STARTUP
#   endif
#endif

#ifdef	KINSOKU
#   ifndef  KANJI
#	undef	KINSOKU
#   endif
#endif

#ifdef	NEW_COMPLETE
#   ifndef  ADDFUNC
#	define	ADDFUNC
#   endif
#endif

#ifndef	NO_DIRED
#   ifndef  ADDFUNC
#	define	ADDFUNC
#   endif
#endif

#ifdef	MSDOS
#   ifdef   J3100
#	ifdef   PC9801
#	    undef   PC9801
#	endif
#   endif
#endif
